#ifndef GINYENCAPSULADOR_H
#define GINYENCAPSULADOR_H

#include <QWidget>
#include "ginytemps.h"

#define VERSION_3
#define REFRESC_ms 200

QT_BEGIN_NAMESPACE
namespace Ui { class GinyEncapsulador; }
QT_END_NAMESPACE

class GinyEncapsulador : public QWidget
{
    Q_OBJECT

public:
    GinyEncapsulador(QWidget *parent = nullptr);
    ~GinyEncapsulador();

private slots:
    void on_btStart_clicked();
    void on_btStop_clicked();

private:
    Ui::GinyEncapsulador *ui;
    GinyTemps *gt;

signals:
    void vSenyalInicia(int);
    void vSenyalAtura();
};
#endif // GINYENCAPSULADOR_H
